#! /bin/bash
# Build Script written for gonvert
# Source Page: http://www.unihedron.com/projects/gonvert/downloads/gonvert-0.2.24.tar.gz
# Maintainer: Ajay Kumar G <ajaykumar.mysore@gmail.com>
# Former-maintainer: George Vlahavas (vlahavas~AT~gmail~DOT~com, gapan@zenwalk forums)


soft='gonvert'
softversion='0.2.24'
packageversion='66.1'
source="http://www.unihedron.com/projects/gonvert/downloads/gonvert-0.2.24.tar.gz"
arch='noarch'

rm -rf $soft-$softversion
if [ -f $soft-$softversion.tar.gz ]; then
	echo "Source file present, no downloading";
else
 	echo "No source file. Downloading source . . . "
	wget -c $source
fi

buildir=$(pwd)
documentations="doc/*"
package="$buildir/$soft-install"

rm -rf $package

mkdir -p $package

tar xvzf $soft-$softversion.tar.gz
numjobs='-j2'
cd $soft-$softversion
sed -i -e 's,/usr/local,/usr,' Makefile
make install DESTDIR=$package

mkdir -p $package/usr/share/icons/hicolor/48x48/apps/
cp -a $buildir/$soft-$softversion/pixmaps/gonvert.png $package/usr/share/icons/hicolor/48x48/apps/
rm -rf $package/usr/share/pixmaps/gonvert-icon_alternative.png
mkdir -p $package/usr/share/applications
cp $buildir/$soft-$softversion/gonvert.desktop $package/usr/share/applications
rm -rf $package/usr/share/gnome
sed -i -e 's/.png//' $package/usr/share/applications/gonvert.desktop

mkdir -p $package/usr/doc/$soft-$softversion
cd $buildir/$soft-$softversion
cp -a $documentations $package/usr/doc/$soft-$softversion
rm -rf $package/usr/share/doc

mkdir -p $package/usr/src/$soft-$softversion
cp "$buildir/build-$soft.sh" "$package/usr/src/$soft-$softversion/build-$soft.sh"
chmod a+x "$package/usr/src/$soft-$softversion/build-$soft.sh"

mkdir $package/install 
cat > $package/install/slack-desc << END
$soft: gonvert is a unit conversion utility
$soft:
$soft: gonvert is a conversion utility that allows conversion between many
$soft: units like CGS, Ancient, Imperial with many categories like length,
$soft: mass, numbers, etc. All units converted values shown at once as you
$soft: type. Easy to add/change your own units.
$soft:
$soft:
$soft:
$soft:
$soft:
END

cd $package
chown -R root:root .
find . -perm 666 -exec chmod 644 {} \;
find . -perm 664 -exec chmod 644 {} \;
find . -perm 600 -exec chmod 644 {} \;
find . -perm 444 -exec chmod 644 {} \;
find . -perm 400 -exec chmod 644 {} \;
find . -perm 440 -exec chmod 644 {} \;
find . -perm 777 -exec chmod 755 {} \;
find . -perm 775 -exec chmod 755 {} \;
find . -perm 511 -exec chmod 755 {} \;
find . -perm 711 -exec chmod 755 {} \;
find . -perm 555 -exec chmod 755 {} \;


makepkg -l y -c n $buildir/$soft-$softversion-$arch-$packageversion.txz
cd $buildir/
md5sum $soft-$softversion-$arch-$packageversion.txz > $soft-$softversion-$arch-$packageversion.md5
zen-pkgcheck.pl $soft-$softversion-$arch-$packageversion.txz
depfinder -f $soft-$softversion-$arch-$packageversion.txz

rm -rf $buildir/$soft-$softversion
rm -rf $package
